<template>
						<form class="space-y-4" @submit.prevent="submit">
                        <div class="flex space-x-6">
                        <div class="w-32"> Name : </div>
                        <input type="text" class="input-form" v-model="formChild.name" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Desc : </div>
                        <input type="text" class="input-form" v-model="formChild.description" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Price : </div>
                        <input type="number" class="input-form"  v-model="formChild.price" @input="calculateAdminFee" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Admin Fee : </div>
                        <input type="number" class="input-form"  v-model="formChild.admin_fee" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Qty : </div>
                        <input type="number" class="input-form" v-model="formChild.quantity" />
                        </div>

                       <button type="submit" class="primary-button">
                       {{ product ? 'Update' : "Submit" }}

                       </button>

                        </form>
</template>

<script>
import { Inertia } from '@inertiajs/inertia';
export default{
        props: { formChild: Object,
                 productChild: Object 
         },
    methods:{
        calculateAdminFee(){
            this.formChild.admin_fee = parseFloat(this.formChild.price) * 0.05; 
        },
      submit() {
      if(this.productChild)Inertia.put('/product/' + this.productChild.id, this.formChild);
      //update
      else Inertia.post('/product', this.formChild);
    },
    },

}
</script>